# cv::SIFT::DetectorParams Struct Reference

`#include <features2d.hpp>`

List of all members.

## Public Member Functions

| DetectorParams ()
| DetectorParams (double _threshold, double _edgeThreshold)

## Static Public Member Functions

static double | GET_DEFAULT_EDGE_THRESHOLD ()
static double | GET_DEFAULT_THRESHOLD ()

## Public Attributes

double | edgeThreshold
double | threshold

## Constructor & Destructor Documentation

cv::SIFT::DetectorParams::DetectorParams | ( | ) |

cv::SIFT::DetectorParams::DetectorParams | ( | double | _threshold,
|  | double | _edgeThreshold
| ) |  |

## Member Function Documentation

static double cv::SIFT::DetectorParams::GET_DEFAULT_EDGE_THRESHOLD | ( | ) | `[inline, static]`

static double cv::SIFT::DetectorParams::GET_DEFAULT_THRESHOLD | ( | ) | `[inline, static]`

## Member Data Documentation

double cv::SIFT::DetectorParams::edgeThreshold

double cv::SIFT::DetectorParams::threshold

The documentation for this struct was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines